#include <Servo.h>

Servo myServo;  // Create a Servo object
const int servoPin = 9;  // Pin connected to the servo

void setup() {
    Serial.begin(9600);  // Start serial communication
    myServo.attach(servoPin);  // Attach servo to pin 9
    myServo.write(0);  // Start at 0 degrees

      pinMode(LED_BUILTIN, OUTPUT);

   for (int i = 0; i < 3; i++) {
    digitalWrite(LED_BUILTIN, HIGH); 
    delay(500);                      
    digitalWrite(LED_BUILTIN, LOW);   
    delay(500);                       
  }
}

void loop() {
    if (Serial.available() > 0) {  // Check if data is available
        int receivedNumber = Serial.parseInt();  // Read input as an integer

        if (receivedNumber == 9) {  // If received 9, turn servo
            Serial.println("Servo moved to 90 degrees");
            myServo.write(90);  // Move servo to 90 degrees
            delay(500);
            myServo.write(0);
            
        }
        
            }
}
